Summary:	Utility for extracting Broadcom 43xx firmware
Summary(hu.UTF-8):	Eszköz a Broadcom 43xx firmware-ek kinyerésére
Summary(pl.UTF-8):	Narzędzie do wyciągania firmware'u dla układów Broadcom 43xx
Name:		b43-fwcutter
Version:	019
Release:	1
License:	BSD
Group:		Applications/System
Source0:	http://bues.ch/b43/fwcutter/%{name}-%{version}.tar.bz2
# Source0-md5:	19d1f4226a625756726bdf7ed5dc2a0a
URL:		http://wireless.kernel.org/en/users/Drivers/b43#devicefirmware
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fwcutter is a tool which can extract firmware from various source
files. It's written for (new) b43 and b43legacy drivers.

%description -l hu.UTF-8
fwcutter egy eszköz, amellyel firmware-eket nyerhetsz ki különféle
fájlkokból. Ez az (új) b43 és b43legacy meghajtókhoz készült.

%description -l pl.UTF-8
fwcutter to narzędzie potrafiące wyciągać firmware z różnych plików
źródłowych. To narzędzie zostało napisane dla (nowych) sterowników b43
oraz b43legacy.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -D_BSD_SOURCE" \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install b43-fwcutter $RPM_BUILD_ROOT%{_bindir}
install b43-fwcutter.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_bindir}/b43-fwcutter
%{_mandir}/man1/b43-fwcutter.1*
%changelog
* Sun Jun 29 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/b43-fwcutter.git;a=log;h=master

* Sun Jun 29 2014 Jakub Bogusz <qboosh@pld-linux.org> c4097f9
- updated to 019

* Sun Sep 01 2013 Jakub Bogusz <qboosh@pld-linux.org> ba56f8a
- updated to 018

* Mon Feb 04 2013 Elan Ruusamäe <glen@delfi.ee> 9f33a4b
- up to 017

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 9a6f9d2
- updated to 015
- License is BSD, package COPYING

* Thu Jul 07 2011 Artur Frysiak <artur@frysiak.net> 2c5c37a
- up to 014

* Sat Feb 20 2010 Zsolt Udvari <uzsolt@pld-linux.org> 548443e
- 012
- hu

* Wed Jun 11 2008 wrobell <wrobell@pld-linux.org> 615d5a4
- ver. 011

* Sat Jan 05 2008 Jakub Bogusz <qboosh@pld-linux.org> 6315d38
- pl

* Fri Oct 26 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 447d570
- initial

